/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */
package fr.unistra.sil.erp.back.model;

/**
 * JSON error message.
 * 
 * When an error occurs, the application will send this type of message
 * to the user.
 * 
 * This object only provides a simple message to briefly inform the user
 * of what went wrong with the query.
 * 
 * @author BEAUVAIS ANTOINE
 */
public class ErrorMessage {
    
    /**
     * The error message.
     */
    private final String message;
    
    /**
     * Class constructor.
     * @param message the error message to display.
     */
    public ErrorMessage(String message)
    {
        this.message = message;
    }
    
    /**
     * Returns the error message.
     * @return the message.
     */
    public String getMessage()
    {
        return this.message;
    }
    
}
